PlayStation 4: OFW 6.72 (fully exploited) allows you to play many hundreds of games & DLC more than OFW 5.05 – Games include Red Dead Redemption 2 & Spider-Man!

Yesterday, PSVita veteran TheFlow rocked the PlayStation 4 hacking scene by releasing a kernel exploit affecting up to PS4 FW 7.02 although right now, a jailbreak can only be created for FWs up to 6.72 since a usermode entry point is needed. As a result, hacked PlayStation 4’s will be able to play lots more games and an enthusiastic community member has taken upon themselves the task to compile a list of games playable on FW 6.72 but not FW 5.05 where PS4 hacking stood still for over 2 years!

Why is a higher FW needed for newer games? Up to which games can I play on OFW 6.72?

With TheFlow’s new kernel exploit, PS4 FW 6.72 is fully exploited (Fire30’s WebKit exploit works up till FW 6.72 not FW 6.50 as per the tweet) – Link

Despite hacking your PlayStation 4 giving you power to tinker around with a great deal of aspects, run backups, homebrew and more, it doesn’t allow you to play games that require a higher firmware than the one you have installed. This is because commercial games are encrypted with keys that only come with newer firmwares and may also make use of functionality provided by a newer version of the PlayStation 4 SDK that isn’t supported by your currently installed version. As a result, those who stayed on the hackable FW 5.05 were stuck playing games released up till March 2018 when FW 5.50 landed although some titles from April 2018 also worked including God of War which was released on April 20, 2018.

With FW 6.72 now becoming the new ‘hot’ PlayStation 4 firmware as it’s set to get a jailbreak soon™ with SpecterDev actively working on it, games released up till roughly October 2019 will most likely be playable as that is when FW 7.00 (FW 6.72’s successor) was released although older versions of some games may be required since updates can up the FW requirement. If/when we see a jailbreak for FW 7.02 which requires a usermode exploit to be found first which is usually via WebKit (browser), then games up till April 2020 will be playable as that’s when its successor, FW 7.50, was released.

OFW 6.72 can play around hundreds of titles over OFW 5.05!

As mentioned in the introduction, a community member has created a list of games that can be played on FW 6.72 but NOT on FW 5.05 which was the last fully exploited PlayStation 4 till yesterday.

With FW 6.72, you can finally yank yourself out of early 2018 and play titles like RDR 2 & DMC 5 released till October 2019!

This list (below), which was made by Reddit user ‘SuccumbedToFlame’, seems to include games released up to the 2nd of August 2019 despite FW 7.00 being released a full 2 months later which may mean that the list still needs to see some updates.

Among the games included in the list, which contains 1469 titles & DLC as of right now, we find popular titles including:

  • Red Dead Redemption 2
  • Devil May Cry 5
  • Spider-Man
  • Spyro Reignited Trilogy
  • Battlefield V
  • Just Cause 4
  • Many others including Hitman 2 & Darksiders III

Conclusion

You may check out the list of games that PS4 FW 6.72 will be compatible with but aren’t compatible with FW 5.05 by following the link below although it’ll probably be receiving some updates as time goes on. It’s important to note that a jailbreak hasn’t been released for FW 6.72 yet so if you’re FW 5.05, you might as well stay there for a while longer!

List of games compatible with FW 6.72 but not FW 5.05 Reddit Thread: https://www.reddit.com/r/ps4homebrew/comments/hmpdvy/list_of_games_after_505_up_to_672_ofw/

Direct link to spreadsheet (accessing the file is a tad slow at the moment due to heavy traffic): https://docs.google.com/spreadsheets/u/0/d/1SyqZV9EgK5J1Uq-tGjSWxE3M_A4wLQalXZXxgn_CohU